#![allow(non_snake_case)]

mod article;
mod error;
mod site;
mod template;

use emacs::{defun, Env, Result, Value};

emacs::plugin_is_GPL_compatible!();

#[emacs::module(name = "org-static")]
fn init(_: &Env) -> Result<()> {
    Ok(())
}

#[defun]
fn say_hello(env: &Env, _name: String) -> Result<Value<'_>> {
    let fname = env
        .call("buffer-file-name", [])
        .unwrap()
        .into_rust::<String>()
        .unwrap();
    env.message(fname)
}
